Subject: Re: bug#12170: save-excursion fails boundary case with recenter

From: martin rudalics <[email-masked]>
Date: Sat, 11 Aug 2012 11:31:32 +0200

>> (1) By "window height", I meant the number of lines displayed for the actual
 >> buffer, not counting the mode line or minibuffer.  It turns out this is one
 >> less than the value returned by `window-height'.
 >
 > As documented, window-height returns the height of the window
 > including the mode line (and the header line, if there is any).  So
 > the above is expected.

To avoid this confusion `window-total-height' should be used instead of
`window-height'.  The "number of lines displayed for the actual buffer"
is returned by the function `window-body-height'.

martin